Skip to content

DKBans Installation

The DKBans installation is very easy and can be done in a few minutes. Follow these instructions exactly and contact our support if you have any questions or problems.


Compatibility

DKBans supports minecraft 1.8 - 1.17 and runs on all McNative supported platforms:

  • Bukkit, Spigot, PaperSpigot, Yatopia, Tunity, Purpur
  • BungeeCord, Waterfall, Travertine, FlameCord
  • McNative

DKBans is designed for running on multiple servers and supports all McNative messaging technologies:

  • BungeeCord Proxy Network (Plugin Message Channels)
  • CloudNet V2 (Multi proxy)
  • CloudNet V3 (Multi proxy)

Requirements

DKBans supports java 8 - 16 and requires a stable internet connection (DKBans downloads all necessary libraries dynamically). If you are using DKBans on multiple servers, you also need a supported remote database (MySQL, PostgreSQL, MS-SQL, MongoDB et.c).


Installation

1. - Download

To install DKBans, download the latest loader here and move it to your plugins folder. Start your server.

In this setup, we use the simple loader. If you are interested in the template loader to install multiple resources dynamically, checkout the McNative Docs.

If you are using a network with multiple servers, you must connect DKBans to the same remote database.

(2 - Storage setup)

After the installation you can optionally set up a storage solution like MySQL. Read more about storages here

If you are using a network with multiple servers, you must connect to the same remote database.


Last update: 2021-06-13